コンテンツへスキップ
APIリファレンス
APIリファレンス

ファイルの一覧取得

決定論的カーソル順でアクティブなファイルの一覧を取得します。

決定論的カーソル順でアクティブなファイルの一覧を取得します。

エンドポイント

GET /v1/files
ベースURL
https://runapi.ai
API バージョン
v1
認証
Authorization: Bearer YOUR_API_KEY
02

リクエスト

JSONボディ

指定されたリクエストの場所にのみ値を送信してください。

クエリパラメータフィールド4件
afterstring
任意

このファイルIDカーソルより後のファイルを返します。

limitinteger
任意

返されるファイルの最大数。

デフォルト: 10000 範囲: 1 - 10000
orderstring
任意

作成時刻でソートします。

許可される値: asc, desc デフォルト: desc
purposestring
任意

ファイルの目的でフィルタリングします。

許可される値: user_data, batch, batch_output
03

成功レスポンス

HTTP 200

GET /v1/files

JSON
{
  "data": [
    {
      "bytes": 1048576,
      "created_at": 1785196800,
      "filename": "knowledge.pdf",
      "id": "file_abc123",
      "object": "file",
      "purpose": "user_data"
    }
  ],
  "first_id": "file_abc123",
  "has_more": false,
  "last_id": "file_abc123",
  "object": "list"
}
04

エラーレスポンス (401)

HTTP 401
レスポンススキーマ
JSON
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}

レスポンス例

JSON
{
  "error": {
    "code": "authentication_error",
    "message": "Missing API key",
    "param": null,
    "type": "authentication_error"
  }
}
05

エラーレスポンス (400)

HTTP 400
レスポンススキーマ
JSON
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}

レスポンス例

JSON
{
  "error": {
    "code": "invalid_request_error",
    "message": "Malformed request",
    "param": null,
    "type": "invalid_request_error"
  }
}
06

エラーレスポンス (404)

HTTP 404
レスポンススキーマ
JSON
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}

レスポンス例

JSON
{
  "error": {
    "code": "not_found",
    "message": "File not found",
    "param": null,
    "type": "invalid_request_error"
  }
}
07

エラーレスポンス (409)

HTTP 409
レスポンススキーマ
JSON
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}

レスポンス例

JSON
{
  "error": {
    "code": "upload_state_conflict",
    "message": "Upload state conflict",
    "param": null,
    "type": "invalid_request_error"
  }
}
08

エラーレスポンス (413)

HTTP 413
レスポンススキーマ
JSON
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}

レスポンス例

JSON
{
  "error": {
    "code": "file_too_large",
    "message": "File size exceeds the maximum allowed size",
    "param": "file",
    "type": "invalid_request_error"
  }
}
09

エラーレスポンス (422)

HTTP 422
レスポンススキーマ
JSON
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}

レスポンス例

JSON
{
  "error": {
    "code": "invalid_upload",
    "message": "Upload request rejected",
    "param": null,
    "type": "invalid_request_error"
  }
}
10

エラーレスポンス (502)

HTTP 502
レスポンススキーマ
JSON
{
  "additionalProperties": true,
  "properties": {
    "error": {
      "additionalProperties": true,
      "properties": {
        "code": {
          "type": [
            "string",
            "null"
          ]
        },
        "message": {
          "type": "string"
        },
        "param": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": "string"
        }
      },
      "required": [
        "message",
        "type"
      ],
      "type": "object"
    }
  },
  "required": [
    "error"
  ],
  "type": "object"
}

レスポンス例

JSON
{
  "error": {
    "code": "storage_write_failed",
    "message": "File storage failed",
    "param": null,
    "type": "server_error"
  }
}
11

cURLの例

CURL
curl -X GET https://runapi.ai/v1/files?order=desc&purpose=user_data \
  -H 'Authorization: Bearer YOUR_API_KEY'